#
# spec file for package a2ps (Version 4.13)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  acroread bzip emacs emacs-x11 ghostscript-library groff gv psutils tetex texinfo xaw3d xshared
# usedforbuild    aaa_base aaa_dir acroread autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs emacs emacs-x11 file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext ghostscript-library glibc glibc-devel gpm gppshare grep groff gv gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps psutils rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim xaw3d xshared

Name:         a2ps
Copyright:    GPL
Group:        Applications/Text
Provides:     a2ps a2ps-bin
Autoreqprov:  on
Version:      4.13
Release:      190
Summary:      Converts ASCII text into PostScript
Source:       a2ps-4.13b.tar.bz2
Source1:      a2ps-ko.po
Patch:        a2ps-4.13.dif
Patch1:       a2ps-4.13-security.patch
Patch2:       a2ps-4.13-ogonkify.patch
BuildRoot:    /tmp/a2ps

%description
Converts ASCII text into PostScript. This feature is used by e.g.
apsfilter, in order to pretty-print ASCII text.

Authors:
--------
    Miguel Santana <M.Santana@frgu.bull.fr>

SuSE series: ap

%prep
%setup -n a2ps-4.13
%patch -P 1 -p 0 -b .tmpfile
%patch -P 2 -p 0 -b .ogonkify
%patch
cp -f %SOURCE1 po/ko.po

%build
%{?suse_update_config:%{suse_update_config -f auxdir}}
 export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -funroll-loops -Wall -pipe"
 export LPR=lpr
 export CC=gcc
 export LEX="flex -Cfe"
 sh ./configure ${RPM_ARCH}-suse-linux \
	--with-gnu-ld		\
	--prefix=/usr		\
	--infodir=%{_infodir}	\
	--mandir=%{_mandir}	\
	--with-medium=A4	\
	--with-encoding=latin1	\
	--sysconfdir=/etc
 make PSFONT_PATH=/usr/share/ghostscript/fonts

%install
 make install-strip DESTDIR=$RPM_BUILD_ROOT PSFONT_PATH=/usr/share/ghostscript/fonts
 rm -r $RPM_BUILD_ROOT/%{_infodir}/regex*
 rm -r $RPM_BUILD_ROOT/%{_infodir}/dir

%clean
test -n "$RPM_BUILD_ROOT" && rm -rf $RPM_BUILD_ROOT

%files
%config /etc/a2ps-site.cfg
%config /etc/a2ps.cfg
/usr/bin/a2ps
/usr/bin/card
/usr/bin/composeglyphs
/usr/bin/fixnt
/usr/bin/fixps
/usr/bin/ogonkify
/usr/bin/pdiff
/usr/bin/psmandup
/usr/bin/psset
/usr/bin/texi2dvi4a2ps
/usr/include/liba2ps.h
%doc %{_infodir}/*.gz
/usr/lib/liba2ps.a
/usr/lib/liba2ps.la
%doc %{_mandir}/man1/*.1.gz
/usr/share/a2ps
/usr/share/emacs/site-lisp/*.el
/usr/share/locale/
/usr/share/ogonkify

%changelog -n a2ps
* Fri Aug 31 2001 - pblahos@suse.cz
- implemented filtering of mozilla output in iso-8859-2
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_lib> to <ghostscript-library>
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Thu Apr 26 2001 - werner@suse.de
- We've to use dots within floats (#7284)
- Fix manual page (#7192)
* Tue Apr 24 2001 - werner@suse.de
- Add Euro symbol to afm of ogonkify fonts
- Implement code to be able to use LC_PAPER and LC_CTYPE for
  paper size and default encoding.
* Thu Apr 19 2001 - werner@suse.de
- Use newest ogonkify to get eurifyFont working
- Include dummy metric for Euro sign to get it work with
  ghostscript and real PostScript printers (ogonkify -e L9 -E)
* Wed Mar 14 2001 - ro@suse.de
- use emacs-x11 for now
* Tue Mar 13 2001 - ro@suse.de
- added emacs-nox to neededforbuild
* Fri Jan 26 2001 - violiet@suse.de
- remove Korean filter file = a2ps-h
* Tue Jan 23 2001 - violiet@suse.de
- added Korean filter file = a2ps-h
- improvement Korean message file.
* Mon Jan 15 2001 - werner@suse.de
- Fix the temporary file patch.
* Wed Jan 10 2001 - werner@suse.de
- Add temporary file patch
* Fri Nov 17 2000 - werner@suse.de
- Update to version 4.13(b)
- Include some package to use automatic configuration for
- Set PSFONT_PATH to /usr/share/ghostscript/fonts
* Fri Nov 17 2000 - ro@suse.de
- ge_exec -> emacs
* Fri Jul 07 2000 - ro@suse.de
- merged patches
* Thu Jul 06 2000 - werner@suse.de
- Add `,' to atan2 in for77kwds.ssh to distinguish atan2 from cabs.
* Fri Apr 07 2000 - bk@suse.de
- added suse update config macro
* Fri Feb 25 2000 - kukuk@suse.de
- Fill out copyright and group tag
- Move /usr/{info,man} -> /usr/share/{info,man}
* Thu Jan 13 2000 - werner@suse.de
- Fix a2ps path in a2ps.el
- Add all page names and their sizes known by ghostscript
* Thu Dec 16 1999 - werner@suse.de
- Fix Bug (NULL pointer if --title="" is used)
- Remove Makefile.Linux
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 19 1999 - florian@suse.de
- update to a2ps 4.12
* Wed Oct 29 1997 - florian@suse.de
- add missing patch detectet by Werner Fink
  Added the changes from Andreas Klemm for apsfilter into /usr/bin/a2ps.
  aps could use standard /usr/bin/a2ps now.
